#!/bin/bash

# New Tumbleweed / 15.5 4096 bit RSA key
if test -f /usr/lib/rpm/gnupg/keys/gpg-pubkey-29b700a4-62b07e22.asc; then
	rpm -q gpg-pubkey-29b700a4 > /dev/null || 
		rpm --import /usr/lib/rpm/gnupg/keys/gpg-pubkey-29b700a4-62b07e22.asc
fi
# New 15.5 Backports 4096 bit RSA key
if test -f /usr/lib/rpm/gnupg/keys/gpg-pubkey-25db7ae0-645bae34.asc; then
	rpm -q gpg-pubkey-25db7ae0 > /dev/null ||
		rpm --import /usr/lib/rpm/gnupg/keys/gpg-pubkey-25db7ae0-645bae34.asc
fi
# Upcoming SLES 15 4096 bit RSA key
if test -f /usr/lib/rpm/gnupg/keys/gpg-pubkey-3fa1d6ce-63c9481c.asc; then
	rpm -q gpg-pubkey-3fa1d6ce > /dev/null ||
		rpm --import /usr/lib/rpm/gnupg/keys/gpg-pubkey-3fa1d6ce-63c9481c.asc
fi
